## AtkTableCell AtkTableCell — The ATK interface implemented for a cell inside a two-dimentional AtkTable |

## Functions

gint | atk_table_cell_get_column_span ()
GPtrArray * | atk_table_cell_get_column_header_cells ()
gboolean | atk_table_cell_get_position ()
gint | atk_table_cell_get_row_span ()
GPtrArray * | atk_table_cell_get_row_header_cells ()
gboolean | atk_table_cell_get_row_column_span ()
AtkObject * | atk_table_cell_get_table ()

## Types and Values

| AtkTableCell
struct | AtkTableCellIface

## Object Hierarchy

        GInterface
        ╰── AtkTableCell

## Prerequisites

AtkTableCell requires AtkObject.

## Known Implementations

AtkTableCell is implemented by AtkNoOpObject.

## Description

Being AtkTable a component which present elements ordered via rows and columns, an AtkTableCell is the interface which each of those elements, so "cells" should implement.

See also AtkTable.

## Functions

### atk_table_cell_get_column_span ()

    gint
    atk_table_cell_get_column_span (AtkTableCell *cell);

Returns the number of columns occupied by this cell accessible.

#### Parameters

cell | a GObject instance that implements AtkTableCellIface |

#### Returns

a gint representing the number of columns occupied by this cell, or 0 if the cell does not implement this method.

Since: 2.12

### atk_table_cell_get_column_header_cells ()

    GPtrArray *
    atk_table_cell_get_column_header_cells
                                   (AtkTableCell *cell);

Returns the column headers as an array of cell accessibles.

#### Parameters

cell | a GObject instance that implements AtkTableCellIface |

#### Returns

a GPtrArray of AtkObjects representing the column header cells.

[element-type AtkObject][transfer full]

Since: 2.12

### atk_table_cell_get_position ()

    gboolean
    atk_table_cell_get_position (AtkTableCell *cell,
                                 gint *row,
                                 gint *column);

Retrieves the tabular position of this cell.

#### Parameters

cell | a GObject instance that implements AtkTableCellIface |
row | the row of the given cell. | [out]
column | the column of the given cell. | [out]

#### Returns

TRUE if successful; FALSE otherwise.

Since: 2.12

### atk_table_cell_get_row_span ()

    gint
    atk_table_cell_get_row_span (AtkTableCell *cell);

Returns the number of rows occupied by this cell accessible.

#### Parameters

cell | a GObject instance that implements AtkTableCellIface |

#### Returns

a gint representing the number of rows occupied by this cell, or 0 if the cell does not implement this method.

Since: 2.12

### atk_table_cell_get_row_header_cells ()

    GPtrArray *
    atk_table_cell_get_row_header_cells (AtkTableCell *cell);

Returns the row headers as an array of cell accessibles.

#### Parameters

cell | a GObject instance that implements AtkTableCellIface |

#### Returns

a GPtrArray of AtkObjects representing the row header cells.

[element-type AtkObject][transfer full]

Since: 2.12

### atk_table_cell_get_row_column_span ()

    gboolean
    atk_table_cell_get_row_column_span (AtkTableCell *cell,
                                        gint *row,
                                        gint *column,
                                        gint *row_span,
                                        gint *column_span);

Gets the row and column indexes and span of this cell accessible.

Note: If the object does not implement this function, then, by default, atk will implement this function by calling get_row_span and get_column_span on the object.

#### Parameters

cell | a GObject instance that implements AtkTableCellIface |
row | the row index of the given cell. | [out]
column | the column index of the given cell. | [out]
row_span | the number of rows occupied by this cell. | [out]
column_span | the number of columns occupied by this cell. | [out]

#### Returns

TRUE if successful; FALSE otherwise.

Since: 2.12

### atk_table_cell_get_table ()

    AtkObject *
    atk_table_cell_get_table (AtkTableCell *cell);

Returns a reference to the accessible of the containing table.

#### Parameters

cell | a GObject instance that implements AtkTableCellIface |

#### Returns

the atk object for the containing table.

[transfer full]

Since: 2.12

## Types and Values

### AtkTableCell

    typedef struct _AtkTableCell AtkTableCell;

### struct AtkTableCellIface

    struct AtkTableCellIface {
      GTypeInterface parent;

      gint          (*get_column_span)         (AtkTableCell *cell);
      GPtrArray *   (*get_column_header_cells) (AtkTableCell *cell);
      gboolean      (*get_position)            (AtkTableCell *cell,
                                                gint         *row,
                                                gint         *column);
      gint          (*get_row_span)            (AtkTableCell *cell);
      GPtrArray *   (*get_row_header_cells)    (AtkTableCell *cell);
      gboolean      (*get_row_column_span)     (AtkTableCell *cell,
                                                gint         *row,
                                                gint         *column,
                                                gint         *row_span,
                                                gint         *column_span);
      AtkObject *   (*get_table)               (AtkTableCell *cell);
    };

#### Members

GTypeInterface `parent`; |  |
`get_column_span` () | virtual function that returns the number of columns occupied by this cell accessible. `Since` : 2.12 |
`get_column_header_cells` () | virtual function that returns the column headers as an array of cell accessibles. `Since` : 2.12 |
`get_position` () | virtual function that retrieves the tabular position of this cell. `Since` : 2.12 |
`get_row_span` () | virtual function that returns the number of rows occupied by this cell. `Since` : 2.12 |
`get_row_header_cells` () | virtual function that returns the row headers as an array of cell accessibles. `Since` : 2.12 |
`get_row_column_span` () | virtual function that get the row an column indexes and span of this cell. `Since` : 2.12 |
`get_table` () | virtual function that returns a reference to the accessible of the containing table. `Since` : 2.12 |